function rate = NNrate(varargin);
% 2001-7-5 JelloY 
% NNdistance


if nargin ==3
    dist=varargin{1};
    Train_label=varargin{2};
    Test_label=varargin{3};
else
    error('input arguments should be: distance matrix, Train_label, Test_label ');
end


[te_num tr_num]= size(dist); 
Result  = zeros(te_num, 1);

for i = 1:te_num
    % compute distances between test data and all training data and
    % sort them
    for j=1:tr_num
        if dist(i,j)==min(dist(i,:))
            Result(i)   = Train_label(j);
        end
    end
end
correctnumbers=length(find(Result==Test_label));
rate=correctnumbers/te_num;
